Create pricing plan

Create a new pricing plan for an artifact

POST
/stores/pricing-plans
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Pricing plan creation input

artifactIdstring
currency?string
description?string
interval?string
isActive?boolean
isDefault?boolean
maxInstalls?integer
maxUsers?integer

Features any json:"features,omitempty"

namestring
pricestring

Decimal as string

trialDays?integer

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/stores/pricing-plans" \  -H "Content-Type: application/json" \  -d '{    "artifactId": "string",    "name": "string",    "price": "string"  }'
{
  "artifactId": "string",
  "createdAt": "string",
  "currency": "string",
  "description": "string",
  "features": null,
  "id": "string",
  "interval": "string",
  "isActive": true,
  "isDefault": true,
  "maxInstalls": 0,
  "maxUsers": 0,
  "name": "string",
  "price": "string",
  "trialDays": 0,
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}